#ifndef DATASTORE_H
#define DATASTORE_H
#include <QString>
#include <QSqlDatabase>
#include <qsqlquery.h>


QSqlDatabase KartellDB = QSqlDatabase::addDatabase("QMYSQL3");

QString DatabaseName = "kartell";

QString StudentName;
QString TestName;
bool Teacher;
int CountRows;

bool Finished;

double TotalPoints;
QString ResultSet;

struct sQuestion{
    int QuestionNumber;
    QString Question;
    QString Answer1;
    QString Answer2;
    QString Answer3;
    QString Answer4;
    int CorrectAnswer;
    int UserAnswer;
    double Points;
    sQuestion * Next;
    sQuestion * Previous;
};

sQuestion * Questions;

#endif
