#ifndef LOGINDIALOG_CPP
#define LOGINDIALOG_CPP
#include <QSqlDatabase>
#include "logindialog.h"
#include "ui_logindialog.h"
#include "datastore.h"

LoginDialog::LoginDialog(QWidget *parent) :
    QDialog(parent),
    m_ui(new Ui::LoginDialog)
{
    m_ui->setupUi(this);
    m_ui->lConnectionState->setVisible(false);
}

LoginDialog::~LoginDialog()
{
    delete m_ui;
}

void LoginDialog::changeEvent(QEvent *e)
{
    switch (e->type()) {
    case QEvent::LanguageChange:
        m_ui->retranslateUi(this);
        break;
    default:
        break;
    }
}


bool LoginDialog::VerifyDB()
{
    KartellDB.setHostName(m_ui->leServer->text());
    KartellDB.setUserName(m_ui->leLogin->text());
    KartellDB.setPassword(m_ui->lePassword->text());
    KartellDB.setDatabaseName(DatabaseName);
    if ( KartellDB.open() ) {
        return true;
    }
    else return false;
}

void LoginDialog::on_bOK_clicked()
{
    if (VerifyDB()) this->close();
    else m_ui->lConnectionState->setVisible(true);
}

#endif
