#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include <QtGui/QPushButton>
#include <QtGui/QLineEdit>

namespace Ui
{
    class MainWindowClass;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Ui::MainWindowClass *ui;

private slots:


private slots:
    void on_bSave_clicked();
    void on_bClear_clicked();
    void on_tabWidget_currentChanged(int index);
    void on_bFinish_clicked();
    void on_bPrevious_clicked();
    void on_action_Connect_activated();
    void on_action_User_activated();
    void on_action_Teacher_activated();
    void on_bNext_clicked();
    void ManipulateControlsTest(bool action);
    void ChangeControlsAbility(bool action);
    void LoadQuestions();
    void ReloadQuestion();
    void PreviousQuestion();
    void NextQuestion();
    void SaveAnswers();
    void LoadAnswers();
    void CompareResults();

};

#endif // MAINWINDOW_H
